summaryrefslogtreecommitdiffstats
path: root/x/fontconfig
diff options
context:
space:
mode:
authorAdrien Nader <adrien@notk.org>2012-07-09 21:46:58 +0200
committerAdrien Nader <adrien@notk.org>2012-07-09 21:46:58 +0200
commitc026eacb6cd1add7e4c9b388bd4da6d48b094d13 (patch)
tree0457e1939ab86e5ea59799956c98733e92dbd785 /x/fontconfig
parent5e95fb68815f1438a05b5a84bc430120b9e0abff (diff)
Sat Jun 30 04:48:12 UTC 2012
a/shadow-4.1.4.3-x86_64-4.txz: Rebuilt. Added "lp" to CONSOLE_GROUPS (needed for scanning). To enable scanning: mv /etc/login.defs.new /etc/login.defs xap/sane-1.0.22-x86_64-3.txz: Rebuilt. Patched to fix compiling against v4l-utils. Changed udev rules to use group lp instead of scanner. It turns out that this is likely what's been interfering with printer detection since we switched CUPS to use libusb instead of the usblp kernel module. SANE would come along and switch the group on multifunction printer/scanners to "scanner", and then CUPS would no longer be able to use them. The kernel module wasn't affected by this since it didn't use the raw USB device node and didn't care who owned it. Anyway, making this switch gets things pretty close to how they were before. The good news is that printers should be detected and configurable without having to look at lsusb output or writing custom udev rules, however, users will need to be in group lp in order to use the scanner. We'll do this automatically for console logins.
Diffstat (limited to 'x/fontconfig')
-rw-r--r--x/fontconfig/doinst.sh.gzbin0 -> 149 bytes
-rwxr-xr-xx/fontconfig/fontconfig.SlackBuild169
-rw-r--r--x/fontconfig/fontconfig.dejavu.diff.gzbin0 -> 546 bytes
-rw-r--r--x/fontconfig/fontconfig.font.dir.list.diff.gzbin0 -> 457 bytes
-rw-r--r--x/fontconfig/setup.05.fontconfig16
-rw-r--r--x/fontconfig/slack-desc19
6 files changed, 204 insertions, 0 deletions
diff --git a/x/fontconfig/doinst.sh.gz b/x/fontconfig/doinst.sh.gz
new file mode 100644
index 0000000..7ae68f6
--- /dev/null
+++ b/x/fontconfig/doinst.sh.gz
Binary files differ
diff --git a/x/fontconfig/fontconfig.SlackBuild b/x/fontconfig/fontconfig.SlackBuild
new file mode 100755
index 0000000..5feb6fd
--- /dev/null
+++ b/x/fontconfig/fontconfig.SlackBuild
@@ -0,0 +1,169 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-$(echo fontconfig-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-fontconfig
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf fontconfig-$VERSION
+tar xvf $CWD/fontconfig-$VERSION.tar.?z* || exit 1
+cd fontconfig-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The wonderful extended version of the font so generously
+# opened up for free modification and distribution by one
+# for the previously proprietary font founderies, and that
+# Stepan Roh did such a marvelous job on getting the ball
+# rolling with should clearly (IMHO) be the default font:
+zcat $CWD/fontconfig.dejavu.diff.gz | patch -p1 --verbose || exit 1
+
+# Hardcode the default font search path rather than having
+# fontconfig figure it out (and possibly follow symlinks, or
+# index ugly bitmapped fonts):
+zcat $CWD/fontconfig.font.dir.list.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+CFLAGS=$SLKCFLAGS \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+# Uses a currently non-functional sgml tool, thus '-i':
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/fontconfig-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README \
+ $PKG/usr/doc/fontconfig-$VERSION
+# You can shop for this kind of stuff in the source tarball.
+rm -rf $PKG/usr/share/doc
+rmdir $PKG/usr/share 2>/dev/null
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/var/log/setup
+cat $CWD/setup.05.fontconfig > $PKG/var/log/setup/setup.05.fontconfig
+chmod 755 $PKG/var/log/setup/setup.05.fontconfig
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Set up the default options in /etc/fonts/conf.d:
+( cd $PKG/etc/fonts/conf.d
+ for fontconf in \
+ 20-fix-globaladvance.conf \
+ 20-unhint-small-vera.conf \
+ 30-urw-aliases.conf \
+ 30-metric-aliases.conf \
+ 40-nonlatin.conf \
+ 45-latin.conf \
+ 49-sansserif.conf \
+ 50-user.conf \
+ 51-local.conf \
+ 60-latin.conf \
+ 65-fonts-persian.conf \
+ 65-nonlatin.conf \
+ 69-unifont.conf \
+ 80-delicious.conf \
+ 90-synthetic.conf ; do
+ ln -sf ../conf.avail/$fontconf . || exit 1
+ done
+ if [ ! $? = 0 ]; then
+ exit 1
+ fi
+)
+if [ ! $? = 0 ]; then
+ echo "Missing /etc/fonts/$fontconf default. Exiting"
+ exit 1
+fi
+
+# Fix manpages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/fontconfig-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/x/fontconfig/fontconfig.dejavu.diff.gz b/x/fontconfig/fontconfig.dejavu.diff.gz
new file mode 100644
index 0000000..d6617a7
--- /dev/null
+++ b/x/fontconfig/fontconfig.dejavu.diff.gz
Binary files differ
diff --git a/x/fontconfig/fontconfig.font.dir.list.diff.gz b/x/fontconfig/fontconfig.font.dir.list.diff.gz
new file mode 100644
index 0000000..88344f5
--- /dev/null
+++ b/x/fontconfig/fontconfig.font.dir.list.diff.gz
Binary files differ
diff --git a/x/fontconfig/setup.05.fontconfig b/x/fontconfig/setup.05.fontconfig
new file mode 100644
index 0000000..55f25be
--- /dev/null
+++ b/x/fontconfig/setup.05.fontconfig
@@ -0,0 +1,16 @@
+#!/bin/sh
+#BLURB="Run fc-cache to locate new fonts for Xft"
+if [ -x usr/bin/fc-cache ]; then
+ if [ "$COLOR" = "on" -o -r $TMP/SeTcolor ]; then
+ dialog --title "FONTCONFIG UPDATE" --infobox \
+ "Please wait while we generate font.cache-1 files with fc-cache. \
+For best results, fc-cache should be run whenever fonts are \
+added to the system." 5 68
+ else
+ echo "Please wait while we generate font.cache-1 files with fc-cache."
+ echo "For best results, fc-cache should be run whenever fonts are added"
+ echo "to the system."
+ fi
+ chroot . /sbin/ldconfig 1> /dev/null 2> /dev/null
+ chroot . /usr/bin/fc-cache -f 1> /dev/null 2> /dev/null
+fi
diff --git a/x/fontconfig/slack-desc b/x/fontconfig/slack-desc
new file mode 100644
index 0000000..173ba94
--- /dev/null
+++ b/x/fontconfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fontconfig: fontconfig (Font library and tools)
+fontconfig:
+fontconfig: Fontconfig is a library and tools designed to provide system-wide
+fontconfig: font configuration, customization, and application access.
+fontconfig:
+fontconfig: Fontconfig is written and maintained by Keith Packard.
+fontconfig:
+fontconfig:
+fontconfig:
+fontconfig:
+fontconfig: